// creator  : weidu.exe (version 23100)
// argument : YUSUF.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~YUSUF~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from:
  SAY #25523 /* ~This is Anomen?  Oh, can I kill him, father?  Please?~ */
  IF ~~ THEN EXTERN ~SAERK~ 2
END

IF ~~ THEN BEGIN 1 // from: SURAYAH:1.0
  SAY #25535 /* ~Surayah!~ */
  IF ~~ THEN EXTERN ~SAERK~ 6
END

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~Dead("Surayah")
!Dead("Saerk")
!StateCheck("Saerk",STATE_SLEEPING)~ THEN BEGIN 2 // from:
  SAY #25542 /* ~Nooo!!  You vile dog!  I shall cut out your black heart for this!~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Aerie")~ THEN EXTERN ~SAERK~ 7
  IF ~IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDORJ~ 230
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEIRAJ~ 496
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 189
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 174
END

IF WEIGHT #0 ~HP(Myself,1)
~ THEN BEGIN 3 // from:
  SAY #25816 /* ~I... (gasp!)  I shall get you for this!  One day, I swear I shall!~ */
  IF ~~ THEN DO ~ReallyForceSpell(Myself,DRYAD_TELEPORT)
~ EXIT
END
